Subject: [bug#63641] [PATCH 0/8] Add libc specific to Hurd and update components

From: Josselin Poiret <[email-masked]>
Date: Mon, 22 May 2023 11:00:14 +0200

Hi everyone,

Since Janneke is working on the rumpkernel and needed some additional patches to
our libc, I thought that we could bring back the libc specific to the Hurd, also
because the newer versions of Hurd only work with glibc 2.37.  This will let us
experiment with newer Hurds without impacting the rest of Guix.  There are also a couple of additions and clean-ups.

I'm still trying to fix native compilation, but it's not going as fast as I would like.

Best,

Josselin Poiret (8):
  hurd-boot: Add urandom and default-pager translators.
  gnu: glibc/hurd-headers: Properly cross-build.
  gnu: gnumach-headers: Cross-build without relying on x86.
  gnu: hurd: Update supported systems.
  gnu: Add libc-for-target and glibc/hurd.
  gnu: gnumach: Update to 1.8+git20221224.
  gnu: mig: Update to 04bfe7a91223ba15d868f7165e49328b1c6e86c3.
  gnu: hurd: Update to v0.9.git20230216.

 gnu/build/hurd-boot.scm       |   3 +
 gnu/packages/base.scm         |  51 ++++++++++++----
 gnu/packages/commencement.scm |  66 ++++++++++----------
 gnu/packages/cross-base.scm   |  28 ++++++++-
 gnu/packages/hurd.scm         | 109 +++++++++++++++-------------------
 5 files changed, 151 insertions(+), 106 deletions(-)

base-commit: 849286ba66c96534bddc04df1a47d5692cbc977e
-- 
2.40.1